Skip to content
Start here

Select region

zero_trust.regions.update(RegionUpdateParams**kwargs) -> ActiveAccountRegion
PUT/accounts/{account_id}/zerotrust/region

Selects the region that the account uses for Cloudflare One. The region must be one of the account’s available regions. Selecting the active region again has no effect.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

Cloudflare account ID

maxLength32
region_key: str

The key of a Data Localization Suite region.

minLength1
ReturnsExpand Collapse
class ActiveAccountRegion: …
region_key: Optional[str]

The key of the account’s active Data Localization Suite region, or null if the account has not selected a region.

minLength1

Select region

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
active_account_region = client.zero_trust.regions.update(
    account_id="699d98642c564d2e855e9661899b7252",
    region_key="eu",
)
print(active_account_region.region_key)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "result": {
    "region_key": "eu"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "context": {
        "foo": "bar"
      }
    }
  ],
  "result": {
    "region_key": "eu"
  },
  "success": true
}